<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.0 Transitional//EN">
<html>
<head>
<title>mysql_fetch_field</title>
<link rel="stylesheet" type="text/css" href="../../src/self.css">
<meta name="description"    content="Stellt ein Objekt mit Feldinformationen bereit">
<meta name="keywords"       content="SELFPHP, PHP, MySQL-Funktionen, mysql_fetch_field">
<meta name="author"         content="Damir Enseleit, mail@selfphp.info">
<meta name="DC.Contributer" content="Matthias Hupp, m.hupp@selfphp3.de">
<meta name="DC.Publisher"   content="Damir Enseleit, mail@selfphp.info">
<meta name="DC.Date"        content="2001-08-20T12:18+01:00">
<meta name="DC.Identifier"  content="http://www.selfphp3.de/funktionsreferenz/mysql_funktionen/mysql_fetch_field.html">
<meta name="DC.Language"    content="de">
<meta name="DC.Rights"      content="../../editorial/index.html">
<meta name="SELF.Firstdate" content="2001-08-20T12:18+01:00">
<meta name="SELF.Version"   content="1">
<meta name="SELF.Pagetype"  content="Information">
<meta name="SELF.Path"      content="SELFPHP == ../../index.php // Funktionsreferenz == ../index.php // MySQL-Funktionen == index.html">
</head>
<body bgcolor="#FFFFFF" text="#000000" link="#AA5522" vlink="#772200" alink="#000000">

<table cellpadding="4" cellspacing="0" border="0" width="100%">
<tr>
<td bgcolor="#FFEEDD" class="nav"><a class="an" name="top"><img src="../../src/refkap.gif" width="16" height="13" border="0" alt="Teil von"></a> <a href="../../index.html"><b>SELFPHP</b></a>/<a href="../../navigation/index.html">Navigationshilfen</a> <img src="../../src/refkap.gif" width="16" height="13" border="0" alt="Teil von"> <a href="../index.html"><b>Funktionsreferenz</b></a> <img src="../../src/refkap.gif" width="16" height="13" border="0" alt="Teil von"> <a href="index.html"><b>MySQL-Funktionen</b></a></td>
</tr>
</table>
<table cellpadding="4" cellspacing="0" border="0" width="100%">
  <tr> 
    <td bgcolor="#EEEEEE" class="doc" width="110"><img src="../../src/logo.gif" width="106" height="109" border="0" alt="SEL.html"></td>
    <td bgcolor="#EEEEEE" class="doc" valign="bottom" width="100%"> 
      <h2>mysql_fetch_field</h2></td>
</tr>
  <tr> 
    <td bgcolor="#EEEEEE" class="doc" valign="top" align="center"> <img src="../../src/dokx.gif" width="30" height="20" vspace="6" border="0" alt="Informationsseite"> 
    </td>
    <td bgcolor="#FFFFFF" valign="top" nowrap colspan="2"> 
      <p> <img src="../../src/down.gif" width="14" height="10" border="0" alt="nach unten">&nbsp;<a href="#befehl"><b>Befehl</b></a><br>
        <img src="../../src/down.gif" width="14" height="10" border="0" alt="nach unten">&nbsp;<a href="#version"><b>Version</b></a><br>
        <img src="../../src/down.gif" width="14" height="10" border="0" alt="nach unten">&nbsp;<a href="#beschreibung"><b>Beschreibung</b></a><br>
        <img src="../../src/down.gif" width="14" height="10" border="0" alt="nach unten">&nbsp;<a href="#beispiel"><b>Beispiel</b></a><br>
        <img src="../../src/down.gif" width="14" height="10" border="0" alt="nach unten">&nbsp;<a href="#ausgabe"><b>Ausgabe</b></a><br>
      </p>
    </td>
  </tr>
  <tr>
    <td colspan=3 bgcolor="#EEEEEE" class="doc"><a href="#bottom"><img src="../../src/down.gif" width="14" height="10" border="0" alt="nach unten"></a>&#160;</td>
  </tr>
</table>



<h2 class="Sh2"><a class="an" name="befehl">Befehl</a></h2>



<table width="100%" cellpadding=10><tr>
    <td class="xmpcode" bgcolor="#E4EEFF">object <b>mysql_fetch_field</b>(int 
      Ergebnis-Kennung [, int Feld-Offset])</td>
  </tr></table>

<p>&nbsp;</p>

<table bgcolor="#EEEEEE" class="doc" width="100%"><tr><td>
<a href="#top"><img src="../../src/up.gif" width="14" height="10" border="0" alt="nach oben"></a><a href="#bottom"><img src="../../src/down.gif" width="14" height="10" border="0" alt="nach unten"></a>&#160;
</td></tr></table>

<h2 class="Sh2"><a class="an" name="version">Version</a></h2>

<table width="100%" cellpadding=10 height="32">
  <tr>
    <td class="xmpcode" bgcolor="#E4EEFF" height="20"> 
      <p>PHP 3, PHP 4 &gt;= 4.0b1</p>
    </td>
  </tr></table>

<p>&nbsp;</p>

<table bgcolor="#EEEEEE" class="doc" width="100%"><tr><td>
<a href="#top"><img src="../../src/up.gif" width="14" height="10" border="0" alt="nach oben"></a><a href="#bottom"><img src="../../src/down.gif" width="14" height="10" border="0" alt="nach unten"></a>&#160;
</td></tr></table>

<h2 class="Sh2"><a class="an" name="beschreibung">Beschreibung</a></h2>

<table width="100%" cellpadding=10 height="240">
  <tr> 
    <td class="xmpcode" bgcolor="#E4EEFF" height="57"> 
      <p>Mit mysql_fetch_field() kann man sich anhand einer Ergebnis-Kennung<br>
        (Ergebnis-Kennung) ein Objekt mit Feldinformationen aus einem<br>
        Anfrageergebnis zur&uuml;ckgeben lassen. Gibt man den optionalen Parameter 
        Feld-<br>
        Offset nicht an, so werden die Informationen des n&auml;chsten Feldes 
        geliefert, das<br>
        noch nicht mit mysql_fetch_field() ausgegeben wurde.</p>
      <p>Die Eigenschaften des Objekts sind folgende: <br>
        name - Feldname innerhalb der Tabelle <br>
        table - Name der Tabelle, zu der das Feld geh&ouml;rt <br>
        max_length - max. L&auml;nge des Feldes <br>
        not_null - 1, das Feld kann nicht Null sein <br>
        primary_key - 1, das Feld ist ein Prim&auml;rschl&uuml;ssel<br>
        unique_key - 1, das Feld ist ein eindeutiger Schl&uuml;ssel<br>
        multiple_key - 1, das Feld ist ein nicht eindeutiger Schl&uuml;ssel<br>
        numeric - 1, das Feld ist vom Typ &quot;numeric&quot;<br>
        blob - 1, das Feld ist vom Typ &quot;BLOB&quot;<br>
        type - der Feld-Typ <br>
        unsigned - 1, das Feld ist vorzeichenlos<br>
        zerofill - 1, das Feld ist &quot;zero-filled&quot;</p>
      <p>Siehe auch:</p>
      <ul>
        <li><a href="mysql_field_seek.html">mysql_field_seek()</a></li>
      </ul>
    </td>
  </tr></table>

<p>&nbsp;</p>

<table bgcolor="#EEEEEE" class="doc" width="100%"><tr><td>
<a href="#top"><img src="../../src/up.gif" width="14" height="10" border="0" alt="nach oben"></a><a href="#bottom"><img src="../../src/down.gif" width="14" height="10" border="0" alt="nach unten"></a>&#160;
</td></tr></table>

<h2 class="Sh2"><a class="an" name="beispiel">Beispiel</a></h2>

<table width="100%" cellpadding=10 height="66">
  <tr>
    <td class="xmpcode" bgcolor="#E4EEFF">
	<p>/*<b><br>
        </b><b>Datenbank:</b> </p>
      <table border="0" bgcolor=A6A6A6>
        <tr bgcolor=CCCCCC> 
          <td align=center colspan="4"><b>Tabelle selfphp_funktionen</b></td>
        </tr>
        <tr> 
          <td align=center><b>id</b></td>
          <td align=center><b>gruppe</b></td>
          <td align=center><b>befehl</b></td>
          <td align=center><b>version</b></td>
        </tr>
        <tr bgcolor=DDDDDD> 
          <td>1</td>
          <td>Array-Funktionen</td>
          <td>array_count_values</td>
          <td>(PHP 4 &gt;= 4.0b4)</td>
        </tr>
        <tr bgcolor=CCCCCC> 
          <td>2</td>
          <td>Variablen-Funktionen</td>
          <td>is_double</td>
          <td>(PHP 3 )</td>
        </tr>
        <tr bgcolor=DDDDDD> 
          <td>3</td>
          <td>Verzeichnis-Funktionen</td>
          <td>chdir</td>
          <td>(PHP 3, PHP 4 )</td>
        </tr>
      </table>
      <p>*/</p>
      <pre>
&lt;?PHP
/* Datenbankserver - In der Regel die IP */<br>  $db_server = &quot;localhost&quot;;</pre>
      <pre>/* Datenbankname */
  $db_name = &quot;selfphp&quot;;</pre>
      <pre>/* Datenbankuser */
  $db_user = &quot;root&quot;;</pre>
      <pre>/* Datenbankpasswort */
  $db_passwort = &quot;mega&quot;;
         
/* Erstellt Connect zu Datenbank her */<br>  $db = @MYSQL_CONNECT($db_server,$db_user,$db_passwort);<br>	<br>  mysql_select_db(&quot;selfphp&quot;,$db); <br>  $result = mysql_query(&quot;SELECT version FROM selfphp_funktionen WHERE id = '1'&quot; ); <br>  $row = mysql_fetch_row($result); <br>  for($x=0; $x&lt;count($row); $x++) { <br>    $str = mysql_fetch_field($result,$x); <br>    echo &quot;name: &quot; . $str -&gt; name . &quot;&lt;br&gt;&quot;; <br>    echo &quot;table: &quot; . $str -&gt; table . &quot;&lt;br&gt;&quot;; <br>    echo &quot;max_length: &quot; . $str -&gt; max_length . &quot;&lt;br&gt;&quot;; <br>    echo &quot;not_null: &quot; . $str -&gt; not_null . &quot;&lt;br&gt;&quot;; <br>    echo &quot;primary_key: &quot; . $str -&gt; primary_key . &quot;&lt;br&gt;&quot;;<br>    echo &quot;unique_key: &quot; . $str -&gt; unique_key . &quot;&lt;br&gt;&quot;; <br>    echo &quot;multiple_key&quot; . $str -&gt; multiple_key . &quot;&lt;br&gt;&quot;;<br>    echo &quot;numeric: &quot; . $str -&gt; numeric . &quot;&lt;br&gt;&quot;; <br>    echo &quot;blob: &quot; . $str -&gt; blob . &quot;&lt;br&gt;&quot;; <br>    echo &quot;type: &quot; . $str -&gt; type . &quot;&lt;br&gt;&quot;; <br>    echo &quot;unsigned: &quot; . $str -&gt; unsigned . &quot;&lt;br&gt;&quot;;<br>    echo &quot;zerofill: &quot; . $str -&gt; zerofill;<br>  }
?&gt;</pre>
    </td>
  </tr></table>

<p>&nbsp;</p>

<table bgcolor="#EEEEEE" class="doc" width="100%"><tr><td>
<a href="#top"><img src="../../src/up.gif" width="14" height="10" border="0" alt="nach oben"></a><a href="#bottom"><img src="../../src/down.gif" width="14" height="10" border="0" alt="nach unten"></a>&#160;
</td></tr></table>


<h2 class="Sh2"><a class="an" name="ausgabe">Ausgabe</a></h2>

<table width="100%" cellpadding=10 height="45">
  <tr>
    <td class="xmpcode" bgcolor="#E4EEFF" height="57"> 
      <p>name: version<br>
        table: selfphp_funktionen<br>
        max_length: 16<br>
        not_null: 0<br>
        primary_key: 0<br>
        unique_key: 0<br>
        multiple_key0<br>
        numeric: 0<br>
        blob: 0<br>
        type: string<br>
        unsigned: 0<br>
        zerofill: 0</p>
      <p></p>
      <p></p>
    </td>
  </tr></table>


<p>&nbsp;</p>


<table cellpadding="4" cellspacing="0" border="0" width="100%">
<tr><td colspan=2 bgcolor="#EEEEEE" class="doc">
<a href="#top"><img src="../../src/up.gif" width="14" height="10" border="0" alt="nach oben"></a>
</td></tr>
<tr>
    <td bgcolor="#EEEEEE" class="doc" align="right" width="110">weiter:<a href="mysql_fetch_lengths.html"><img src="../../src/next.gif" width="10" height="10" border="0" hspace="10" alt="weiter"></a></td>
    <td bgcolor="#FFFFFF"><img src="../../src/dok.gif" width="15" height="10" border="0" alt="Seite"> 
      <a href="mysql_fetch_lengths.html"><b>mysql_fetch_lengths</b></a> </td>
  </tr>
<tr>
    <td bgcolor="#EEEEEE" class="doc" align="right" width="110">zur&uuml;ck:<a href="mysql_fetch_array.html"><img src="../../src/prev.gif" width="10" height="10" border="0" hspace="10" alt="zur&uuml;ck"></a></td>
    <td bgcolor="#FFFFFF" width="100%"><img src="../../src/dok.gif" width="15" height="10" border="0" alt="Seite"> 
      <a href="mysql_fetch_array.html"><b>mysql_fetch_array</b></a> </td>
</tr>
<tr><td colspan=2 bgcolor="#EEEEEE" class="doc">&#160;</td></tr>
</table><table cellpadding="4" cellspacing="0" border="0" width="100%">
<tr>
    <td bgcolor="#FFEEDD" class="nav"><a class="an" name="bottom"><img src="../../src/refkap.gif" width="16" height="13" border="0" alt="Teil von"></a> 
      <a href="../../index.html"><b>SELFPHP</b></a>/<a href="../../navigation/index.html">Navigationshilfen</a> <img src="../../src/refkap.gif" width="16" height="13" border="0" alt="Teil von"> 
      <a href="../index.html"><b>Funktionsreferenz</b></a> <img src="../../src/refkap.gif" width="16" height="13" border="0" alt="Teil von"> 
      <a href="index.html"><b>MySQL-Funktionen</b></a></td>
</tr>
</table>

<p><a class="an" name="bottom">&copy; 2001, 2002, 2003</A> <img src="../../src/mail.gif" width="15" height="10" border="0" alt="E-Mail">&nbsp;<a href="mailto:mail@selfphp.info">Damir Enseleit, mail@selfphp.info</a></p>



</body>
</html>